<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [peek](./bitburner.ns.peek.md)

## NS.peek() method

Get a copy of the data from a port without popping it.

**Signature:**

```typescript
peek(portNumber: number): PortData;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  portNumber | number | Port to peek. Must be a positive integer. |

**Returns:**

[PortData](./bitburner.portdata.md)

Data in the specified port.

## Remarks

RAM cost: 0 GB

This function is used to peek at the data from a port. It returns the first element in the specified port without removing that element. If the port is empty, the string “NULL PORT DATA” will be returned.

